<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\Raumplanung;

class KurstageVorschauView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'mitarbeiter/kursuebersicht/kurstagevorschau.sgt';
  }

  protected function getDefaultDataModulArray()
  {
    return array($this->viewModel->kurs);
  }

  protected function getDefaultExportAdaper()
  {
    return new \ExpKurse();
  }

  protected function getBodyDataModulArray()
  {
    return $this->viewModel->kurstage;
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpKurstage();
  }
}

class KurstageVorschauViewModel
{
  public $kurs;
  public $kurstage;
}